---
title: Get all SSO connectors
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api)

[IAM](https://developers.cloudflare.com/api/resources/iam)

[SSO](https://developers.cloudflare.com/api/resources/iam/subresources/sso)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get all SSO connectors

GET/accounts/{account\_id}/sso\_connectors

Lists all SSO connectors configured for the account.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`SSO Connector Read`

##### P ath ParametersExpand Collapse

account\_id: string

Account identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

errors: array of object {code, message, documentation\_url, source }

</summary>

code: number

minimum1000

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: string

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: optional string

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: optional object {pointer }

</summary>

pointer: optional string

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20errors>)

<details>

<summary>

messages: array of object {code, message, documentation\_url, source }

</summary>

code: number

minimum1000

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: string

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: optional string

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: optional object {pointer }

</summary>

pointer: optional string

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20messages>)

success: true

Whether the API call was successful.

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20success>)

<details>

<summary>

result: optional array of object {id, created\_on, email\_domain, 4 more }

</summary>

id: optional string

SSO Connector identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_on: optional string

Timestamp for the creation of the SSO connector

formatdate-time

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

email\_domain: optional string

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20email_domain">Link to this property</a>

enabled: optional boolean

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

updated\_on: optional string

Timestamp for the last update of the SSO connector

formatdate-time

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20updated_on">Link to this property</a>

use\_fedramp\_language: optional boolean

Controls the display of FedRAMP language to the user during SSO login

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20use_fedramp_language">Link to this property</a>

<details>

<summary>

verification: optional object {code, status }

</summary>

code: optional string

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20code">Link to this property</a>

<details>

<summary>

status: optional "awaiting"or "pending"or "failed"or "verified"

The status of the verification code from the verification process.

</summary>

One of the following:

"awaiting"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"pending"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"failed"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

"verified"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_list_response%20%3E%20(schema)%20%3E%20(property)%20verification">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

<details>

<summary>

result\_info: optional object {count, page, per\_page, total\_count }

</summary>

count: optional number

Total number of results for the requested service

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20count">Link to this property</a>

page: optional number

Current page within paginated list of results

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20page">Link to this property</a>

per\_page: optional number

Number of results per page of results

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20per_page">Link to this property</a>

total\_count: optional number

Total results available without any search parameters

<a href="#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20total_count">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20result_info>)

### Get all SSO connectors

HTTP

HTTPTypeScriptPythonGoTerraform

```
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/sso_connectors \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_on": "2025-01-01T12:21:02Z",
      "email_domain": "example.com",
      "enabled": false,
      "updated_on": "2025-01-01T12:21:02Z",
      "use_fedramp_language": false,
      "verification": {
        "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
        "status": "pending"
      }
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_on": "2025-01-01T12:21:02Z",
      "email_domain": "example.com",
      "enabled": false,
      "updated_on": "2025-01-01T12:21:02Z",
      "use_fedramp_language": false,
      "verification": {
        "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
        "status": "pending"
      }
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```